%define		perl_vendorlib	%(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)

%define		tarname	IO-stringy

Summary: 	I/O on in-core objects like strings and arrays for Perl
Name: 		perl-%{tarname}
Version: 	2.110
Release: 	1
Epoch: 		0
License: 	Artistic
Group: 		Development/Libraries
URL: 		http://search.cpan.org/dist/IO-stringy/
Source0: 	http://www.cpan.org/authors/id/D/DS/DSKOLL/%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# -----------------------------------------------------------------------------

%description
This toolkit primarily provides Perl modules for performing both
traditional and object-oriented i/o) on things *other* than normal
filehandles; in particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

# -----------------------------------------------------------------------------

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

# -----------------------------------------------------------------------------

%check || :
make test

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc README COPYING examples
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::*.3pm*

# -----------------------------------------------------------------------------

%changelog
* Tue Feb 15 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:2.110-1
- 2.110.
- Some specfile cleanups, bringing it closer to spectemplate-perl.spec.

* Wed Dec 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.109-0.fdr.1
- Update to 2.109.

* Thu Oct  2 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:2.108-0.fdr.4
- Package is now using vendor directories

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:2.108-0.fdr.3
- Package is now noarch
- rm-ing perllocal.pod instead of excluding it

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:2.108-0.fdr.2
- Changed Group tag value
- "make test" in build section
- Added missing directory

* Sun Jun 15 2003 Dams <anvil[AT]livna.org> 
- Initial build.
